Package org.openoffice.da.comp.w2lcommon.helper

# Class FieldMasterNameProvider

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.FieldMasterNameProvider

public class FieldMasterNameProvider extends Object
This class provides access to the names of all field masters in the current document

## Constructor Summary

Constructors
Constructor
Description
`FieldMasterNameProvider(com.sun.star.uno.XComponentContext xContext)`
Construct a new `FieldMasterNameProvider`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getFieldMasterNames(String sPrefix)`
Get the names of all field masters relative to a given prefix

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldMasterNameProvider

public FieldMasterNameProvider(com.sun.star.uno.XComponentContext xContext)
Construct a new `FieldMasterNameProvider`

Parameters:
  `xContext` - the component context to get the desktop from

## Method Details

### getFieldMasterNames

public Set<String> getFieldMasterNames(String sPrefix)
Get the names of all field masters relative to a given prefix

Parameters:
  `sPrefix` - the prefix to look for, e.g. "com.sun.star.text.fieldmaster.SetExpression."
Returns:
  a read only `Set` containing all known names with the given prefix, stripped for the prefix